# This file created by conda-build 3.16.3
# meta.yaml template originally from:
# C:\ci\containers\00002s03qf0\tmp\build\80754af9\rsync-recipes\llvmlite-0.27.0-c_compiler_vs2017-python_3.7-cxx_compiler_vs2017-on-winbuilder, last modified Thu Jan  3 23:29:16 2019
# ------------------------------------------------

package:
    name: llvmlite
    version: 0.27.0
source:
    git_rev: v0.27.0
    git_url: https://github.com/numba/llvmlite
build:
    number: '0'
    script_env:
        - PY_VCRUNTIME_REDIST
    string: py37ha925a31_0
requirements:
    build:
        - cmake 3.12.2 he025d50_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.15.26706 h3a45250_0
        - vs2017_win-64 19.15.26726 h3c6f0ee_0
    host:
        - ca-certificates 2018.03.07 0
        - llvmdev 7.0.0 h1acfa63_1
        - openssl 1.1.1a he774522_0
        - python 3.7.2 h8c8aaf0_0
        - sqlite 3.26.0 he774522_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.15.26706 h3a45250_0
    run:
        - python >=3.7,<3.8.0a0
        - vc >=14.1,<15.0a0
        - vs2015_runtime
test:
    commands:
        - python -m llvmlite.tests
    imports:
        - llvmlite
        - llvmlite.binding
about:
    home: https://github.com/numba/llvmlite
    license: New BSD License
    summary: A lightweight LLVM python binding for writing JIT compilers
extra:
    copy_test_source_files: true
    final: true
